//1 Создать функцию которая сохранит в глобальную переменную - массив всех пользователей из https://api-f22.herokuapp.com/. (GET)

const url = 'https://api-f22.herokuapp.com/'
let allUsers = []
  function getUsers() {
     axios
     .get(url + 'users')
     .then(response => allUsers.push(...response.data))
};
getUsers();
console.log(allUsers)

//2 Создать функцию которая создаст нового пользователя. После как бек его вернет с новым id, пушим в раннее созданную переменную его. (POST)
function createUser(userName) {
    axios
    .post(url + 'users/', {name: userName})
    .then(response => allUsers.push(response.data))
};
 createUser('Kostya');
console.log(allUsers)

//3 Создать функцию которая выводит в консоль пользователя по id. (GET with path-params)
function getUserById(id) {
    axios
     .get(url + 'users/' + id)
     .then(response => console.log(response.data))
}
getUserById(1)
//4 Создать функцию которая удаляет пользователя по id. После когда удаление прошло, удалем этого пользователя из нашего локального массива. (DELETE with path-params)
function deleteUserById(id) {
    axios
     .delete(url + 'users/' + id)
     .then(response => console.log(response.data))
}
deleteUserById(2)

//5 Создать функцию которая обновляет пользователя по id. После когда обновление прошло, обновляем этого пользователя в нашем локальном массиве.
function updateUserById(userId, userName) {
    axios
     .patch(url + 'users/', {name: userName, id: userId})
     .then(response => console.log(response.data))
}
updateUserById(1, 'Ihor')
